/*
██╗  ██╗ █████╗ ██╗   ██╗███████╗███╗   ██╗    ███╗   ███╗ ██████╗ ██████╗ ██████╗  █████╗  ██████╗██╗  ██╗███████╗
██║  ██║██╔══██╗██║   ██║██╔════╝████╗  ██║    ████╗ ████║██╔═══██╗██╔══██╗██╔══██╗██╔══██╗██╔════╝██║ ██╔╝██╔════╝
███████║███████║██║   ██║█████╗  ██╔██╗ ██║    ██╔████╔██║██║   ██║██║  ██║██████╔╝███████║██║     █████╔╝ ███████╗
██╔══██║██╔══██║╚██╗ ██╔╝██╔══╝  ██║╚██╗██║    ██║╚██╔╝██║██║   ██║██║  ██║██╔═══╝ ██╔══██║██║     ██╔═██╗ ╚════██║
██║  ██║██║  ██║ ╚████╔╝ ███████╗██║ ╚████║    ██║ ╚═╝ ██║╚██████╔╝██████╔╝██║     ██║  ██║╚██████╗██║  ██╗███████║
╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚══════╝╚═╝  ╚═══╝    ╚═╝     ╚═╝ ╚═════╝ ╚═════╝ ╚═╝     ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝╚══════╝
*/
ItemEvents.tooltip(e => 
  {  
    // Mekanism
    e.add('mekanism:creative_energy_cube', [
      [Text.of('Requires Energizing').darkPurple()]
    ]);

    // Mob Grinding Utils
    e.addAdvanced('mob_grinding_utils:rotten_egg', (stack, advanced, text) => {
      text.add(3, Text.of("Created from Cursed Chicken Feed").yellow());
    });
    e.addAdvanced('mob_grinding_utils:golden_egg', (stack, advanced, text) => {
      text.add(3, Text.of("Created from Nutritious Chicken Feed").yellow());
    });

    // RS Infinity Booster
    e.add('rsinfinitybooster:infinity_card', [
      Text.of('Provides infinite range for RS wireless'),
      Text.of('Effective only within the same dimension')
    ]);
    e.add('rsinfinitybooster:dimension_card', [
      Text.of('Provides infinite range for RS wireless'),
      Text.of('Works across all dimensions')
    ]);

    // Pipes
    e.add('pipez:item_pipe', [
      [Text.of('Default:'), ' ', Text.of('4'), ' ', Text.of('items/20t')],
      [Text.of('Basic:').darkgreen(), ' ', Text.of('8').green(), ' ', Text.of('items/15t').green()],
      [Text.of('Improved:').gold(), ' ', Text.of('16').yellow(), ' ', Text.of('items/10t').gold()],
      [Text.of('Advanced:').darkAqua(), ' ', Text.of('32').aqua(), ' ', Text.of('items/5t').darkAqua()],
      [Text.of('Ultimate:').darkGray(), ' ', Text.of('64').gray(), ' ', Text.of('items/t').darkGray()]
    ]);

    e.add('pipez:fluid_pipe', [
      [Text.of('Default:'), ' ', Text.of('50'), ' ', Text.of('mB/t')],
      [Text.of('Basic:').darkgreen(), ' ', Text.of('100').green(), ' ', Text.of('mB/t').darkgreen()],
      [Text.of('Improved:').gold(), ' ', Text.of('500').yellow(), ' ', Text.of('mB/t').gold()],
      [Text.of('Advanced:').darkAqua(), ' ', Text.of('2,000').aqua(), ' ', Text.of('mB/t').darkAqua()],
      [Text.of('Ultimate:').darkGray(), ' ', Text.of('10,000').gray(), ' ', Text.of('mB/t').darkGray()]
    ]);

    e.add('pipez:gas_pipe', [
      [Text.of('Default:'), ' ', Text.of('200'), ' ', Text.of('mB/t')],
      [Text.of('Basic:').darkgreen(), ' ', Text.of('400').green(), ' ', Text.of('mB/t').darkgreen()],
      [Text.of('Improved:').gold(), ' ', Text.of('2,000').yellow(), ' ', Text.of('mB/t').gold()],
      [Text.of('Advanced:').darkAqua(), ' ', Text.of('8,000').aqua(), ' ', Text.of('mB/t').darkAqua()],
      [Text.of('Ultimate:').darkGray(), ' ', Text.of('40,000').gray(), ' ', Text.of('mB/t').darkGray()]
    ]);

    e.add('pipez:energy_pipe', [
      [Text.of('Default:'), ' ', Text.of('256'), ' ', Text.of('FE/t')],
      [Text.of('Basic:').darkgreen(), ' ', Text.of('1,024').green(), ' ', Text.of('FE/t').darkgreen()],
      [Text.of('Improved:').gold(), ' ', Text.of('8,192').yellow(), ' ', Text.of('FE/t').gold()],
      [Text.of('Advanced:').darkAqua(), ' ', Text.of('32,768').aqua(), ' ', Text.of('FE/t').darkAqua()],
      [Text.of('Ultimate:').darkGray(), ' ', Text.of('131,072').gray(), ' ', Text.of('FE/t').darkGray()]
    ]);

    // Upgrades
    e.add('pipez:basic_upgrade', [
      [Text.of('Item:').darkgreen(), ' ', Text.of('8').green(), ' ', Text.of('items/15t').darkgreen()],
      [Text.of('Fluid:').darkgreen(), ' ', Text.of('100').green(), ' ', Text.of('mB/t').darkgreen()],
      [Text.of('Gas:').darkgreen(), ' ', Text.of('400').green(), ' ', Text.of('mB/t').darkgreen()],
      [Text.of('Energy:').darkgreen(), ' ', Text.of('1,024').green(), ' ', Text.of('FE/t').darkgreen()]
    ]);

    e.add('pipez:improved_upgrade', [
      [Text.of('Item:').gold(), ' ', Text.of('16').yellow(), ' ', Text.of('items/10t').gold()],
      [Text.of('Fluid:').gold(), ' ', Text.of('500').yellow(), ' ', Text.of('mB/t').gold()],
      [Text.of('Gas:').gold(), ' ', Text.of('2,000').yellow(), ' ', Text.of('mB/t').gold()],
      [Text.of('Energy:').gold(), ' ', Text.of('8,192').yellow(), ' ', Text.of('FE/t').gold()]
    ]);

    e.add('pipez:advanced_upgrade', [
      [Text.of('Item:').darkAqua(), ' ', Text.of('32').aqua(), ' ', Text.of('items/5t').darkAqua()],
      [Text.of('Fluid:').darkAqua(), ' ', Text.of('2,000').aqua(), ' ', Text.of('mB/t').darkAqua()],
      [Text.of('Gas:').darkAqua(), ' ', Text.of('8,000').aqua(), ' ', Text.of('mB/t').darkAqua()],
      [Text.of('Energy:').darkAqua(), ' ', Text.of('32,768').aqua(), ' ', Text.of('FE/t').darkAqua()]
    ]);

    e.add('pipez:ultimate_upgrade', [
      [Text.of('Item:').darkGray(), ' ', Text.of('64').gray(), ' ', Text.of('items/t').darkGray()],
      [Text.of('Fluid:').darkGray(), ' ', Text.of('10,000').gray(), ' ', Text.of('mB/t').darkGray()],
      [Text.of('Gas:').darkGray(), ' ', Text.of('40,000').gray(), ' ', Text.of('mB/t').darkGray()],
      [Text.of('Energy:').darkGray(), ' ', Text.of('131,072').gray(), ' ', Text.of('FE/t').darkGray()]
    ])
  })
